#include "burner.h"
#include "ggpoclient.h"

#define STATE_IDLE         0
#define STATE_STARTING     1
#define STATE_RUNNING      2
#define RUN_COUNT          (60 * 12)


unsigned char scanline_challenge_4[] = {
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x08, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x21, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x00, 
};

unsigned char scanline_red_4[] = {
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x8c, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x73, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x39, (unsigned char)0x63, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x52, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x42, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
};

unsigned char scanline_blue_4[] = {
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x63, (unsigned char)0x52, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x52, (unsigned char)0x4a, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x42, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, 
   (unsigned char)0x39, (unsigned char)0x39, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x31, (unsigned char)0x31, (unsigned char)0x10, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x21, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x18, (unsigned char)0x29, (unsigned char)0x18, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, 
   (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x08, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, (unsigned char)0x10, (unsigned char)0x18, (unsigned char)0x18, (unsigned char)0x00, 
};

static struct {
   int state;
   int runcount;
   char *game;
   struct {
      char *id;
      int   rounds;
   } p[2];
} GameInfo = { 0 };

extern bool SpriteInList(const QuarkSpriteInfo *s, QuarkSprite sprites[], int count);
extern int QuarkFindSprite(QuarkSprite sprites[], int count, int x, int y);

static void
QuarkSpriteStartNewGame(GGPOSession *ggpo, char *game)
{
   for (int i = 0; i < 2; i++) {
      GameInfo.p[i].rounds = 0;
      GameInfo.p[i].id = NULL;
   }
   GameInfo.runcount = RUN_COUNT;
   ggpo_client_set_game_event(ggpo, GGPOCLIENT_GAMEEVENT_STARTING, game);
}

static void
QuarkSpriteFinishGame(GGPOSession *ggpo)
{
   ggpo_client_set_game_event(ggpo, GGPOCLIENT_GAMEEVENT_PLAYER_1, (void *)"kof98");
   ggpo_client_set_game_event(ggpo, GGPOCLIENT_GAMEEVENT_PLAYER_2, (void *)"kof98");
   ggpo_client_set_game_event(ggpo, GGPOCLIENT_GAMEEVENT_PLAYER_1_SCORE, (void *)GameInfo.p[0].rounds);
   ggpo_client_set_game_event(ggpo, GGPOCLIENT_GAMEEVENT_PLAYER_2_SCORE, (void *)GameInfo.p[1].rounds);
   ggpo_client_set_game_event(ggpo, GGPOCLIENT_GAMEEVENT_WINNER, (void *)(GameInfo.p[0].rounds > GameInfo.p[1].rounds ? 1 : 2));
   ggpo_client_set_game_event(ggpo, GGPOCLIENT_GAMEEVENT_FINISHED, NULL);
}

static bool
P1PlayerNameVisible(QuarkSprite sprites[], int count)
{
   const int a = 865;
   const int z = a + 26;
   for (int i = 0; i < count; i++) {
      if (sprites[i].x == 48 && sprites[i].y == 32 && sprites[i].id >= a && sprites[i].id <= z) {
         return true;
      }          
   }
   return false;
}

static bool
CharSelectTimeCountdown(QuarkSprite sprites[], int count)
{
   static const struct {
      int id, x, y;
   } matches[] = {
      { 1672, 136, 192 }, // T
      { 1673, 144, 192 }, // I
      { 1674, 152, 192 }, // M
      { 1675, 160, 192 }, // E
   };
   int c = 0;
   for (int i = 0; i < count; i++) {
      for (int j = 0; j < ARRAYSIZE(matches); j++) {
         if (sprites[i].x == matches[j].x &&
             sprites[i].y == matches[j].y &&
             sprites[i].id == matches[j].id) {
            c++;
            if (c == ARRAYSIZE(matches)) {
               return true;
            }
         }
      }
   }
   return false;
}

void
QuarkProcessKOF98Sprites(GGPOSession *ggpo, QuarkSprite sprites[], int count)
{

   /*
    * See if it's time to start a new game...
    */
   if (GameInfo.state == STATE_IDLE) {
      if (P1PlayerNameVisible(sprites, count)) {
         QuarkSpriteStartNewGame(ggpo, "kof98");
         GameInfo.state = STATE_RUNNING;
      }
   } else if (GameInfo.state == STATE_RUNNING) {
      if (P1PlayerNameVisible(sprites, count)) {
         GameInfo.runcount = RUN_COUNT;
      } else {
         GameInfo.runcount--;
      }
      unsigned char *start = pVidImage + nVidImagePitch;
      if (GameInfo.runcount == 0 ||
          memcmp(scanline_red_4, start, sizeof(scanline_red_4)) == 0 ||
          memcmp(scanline_blue_4, start, sizeof(scanline_blue_4)) == 0 ||
          memcmp(scanline_challenge_4, start, sizeof(scanline_challenge_4)) == 0 ||
          CharSelectTimeCountdown(sprites, count)) {
         QuarkSpriteFinishGame(ggpo);
         GameInfo.state = STATE_IDLE;
      }
   }
}
